<?php
/**
* Joomla Community Builder User Plugin: plug_cbhoroscope
* @version $Id$
* @package plug_cbhoroscope
* @subpackage horoscope.php
* @author: scanhead lyrad
* @copyright (C) David Brian Rosal scanhead, www.holynamians.com
* @license Limited  http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @final 1.0
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );


/**
 * Basic tab extender. Any plugin that needs to display a tab in the user profile
 * needs to have such a class. Also, currently, even plugins that do not display tabs (e.g., auto-welcome plugin)
 * need to have such a class if they are to access plugin parameters (see $this->params statement).
 */
class gethorosTab extends cbTabHandler {
	/**
	 * Construnctor
	 */
	function gethorosTab() {
		$this->cbTabHandler();
	}
	
	/**
	* Generates the HTML to display the user profile tab
	* @param object tab reflecting the tab database entry
	* @param object mosUser reflecting the user being displayed
	* @param int 1 for front-end, 2 for back-end
	* @returns mixed : either string HTML for tab content, or false if ErrorMSG generated
	*/
	function getDisplayTab($tab,$user,$ui) {
		global $my;
                $sign = strtoupper($user->cb_horoscope);
		$return = null;
		$params = $this->params; // get parameters (plugin and related tab)
		
		$is_helloworld_plug_enabled = $params->get('hwPlugEnabled', "1");
		$helloworld_tab_message = $params->get('hwTabMessage', "Hello Joomlapolitans!");
$document =& JFactory::getDocument();
$document->addCustomTag( '<script type="text/javascript" src="'. JURI::base() . '/components/com_comprofiler/plugin/user/plug_cbhoroscope/jp_horoscope.js"></script>' );

$jpHoroscopeType = array("daily" => "Daily Horoscope",
										"teen" => "Daily Teen Horoscope",
										"tech" => "Daily Work Horoscope",
										"single" => "Daily Single Love Horoscope",
										"couple" => "Daily Couple Love Horoscope",
										"beauty" => "Daily Beauty Scope Horoscope",
										"slam" => "Daily Astro Slam Horoscope",
										"baby" => "Daily Baby Scope Horoscope",
										"h_g" => "Daily Home and Garden Horoscope",
										"fitness" => "Monthly Fitness Horoscope",
										"year" => "Yearly Horoscope");

$jpHoroscopeSign = array("capricorn" => "Capricorn (Dec 22 - Jan 19)",
												"aquarius" => "Aquarius (Jan 21 - Feb 18)",
												"pisces" => "Pisces (Feb 19 - Mar 20)",
												"aries" => "Aries (Mar 21 - Apr 19)",
												"taurus" => "Taurus (Apr 20 - May 20)",
												"gemini" => "Gemini (May 21 - June 21)",
												"cancer" => "Cancer (June 22 - July 22)",
												"leo" => "Leo (July 23 - Aug 22)",
												"virgo" => "Virgo (Aug 23 - Sept 22)",
												"libra" => "Libra (Sept 23 - Oct 22)",
												"scorpio" => "Scorpio (Oct 23 - Nov 21)",
												"sagittarius" => "Sagittarius (Nov 22 - Dec 21)");






		
		if ($is_helloworld_plug_enabled != "0") {
			

$return.= " <strong style='font-size: 14px;'>".$user->firstname." is " . $user->cb_horoscope . "</strong><br/><br/>";


if ($sign == "PISCES")  
   {
      $img = '<img src="/components/com_comprofiler/plugin/user/plug_cbhoroscope/img/pisces.png">';
   }
elseif($sign == "AQUARIUS")
    {
      $img = '<img src="/components/com_comprofiler/plugin/user/plug_cbhoroscope/img/aqua.png">';
    }
elseif($sign == "ARIES")
    {
      $img = '<img src="/components/com_comprofiler/plugin/user/plug_cbhoroscope/img/aries.png">';
    }
elseif($sign == "CANCER")
    {
      $img = '<img src="/components/com_comprofiler/plugin/user/plug_cbhoroscope/img/cancer.png">';
    }
elseif($sign == "CAPRICORN")
    {
      $img = '<img src="/components/com_comprofiler/plugin/user/plug_cbhoroscope/img/caprix.png">';
    }
elseif($sign == "GEMINI")
    {
      $img = '<img src="/components/com_comprofiler/plugin/user/plug_cbhoroscope/img/gemini.png">';
    }
elseif($sign == "LEO")
    {
      $img = '<img src="/components/com_comprofiler/plugin/user/plug_cbhoroscope/img/leo.png">';
    }
elseif($sign == "LIBRA")
    {
      $img = '<img src="/components/com_comprofiler/plugin/user/plug_cbhoroscope/img/libra.png">';
    }
elseif($sign == "SAGITTARIUS")
    {
      $img = '<img src="/components/com_comprofiler/plugin/user/plug_cbhoroscope/img/sagitar.png">';
    }
elseif($sign == "SCORPIO")
    {
      $img = '<img src="/components/com_comprofiler/plugin/user/plug_cbhoroscope/img/scorpio.png">';
    }
elseif($sign == "TAURUS")
    {
      $img = '<img src="/components/com_comprofiler/plugin/user/plug_cbhoroscope/img/taurus.png">';
    }
elseif($sign == "VIRGO")
    {
      $img = '<img src="/components/com_comprofiler/plugin/user/plug_cbhoroscope/img/virgo.png">';
    }
else
    {
      $img = '<img src="/components/com_comprofiler/plugin/user/plug_cbhoroscope/img/virgo.png">';
    }



$return .='<script type="text/javascript" language="JavaScript">';
        $return .= 'JPHoroscopeGetInfo(\''.$user->cb_horoscope.'\',\'daily\',\''.JURI::base().'\')';
$return .=' </script>';


$return .= '<select id="jphoroscopetype" onchange="JPHoroscopeGetInfo(document.getElementById(\'jphoroscopesign\').value,document.getElementById(\'jphoroscopetype\').value,\''.JURI::base().'\')" >';
       


$return .= '<option value="" selected>Select Horoscope please</option>';


foreach($jpHoroscopeType as $h => $t)
{
	$return.= '<option value="'.$h.'">'.$t.'</option>';
}
        $return.= '</select>';



$return .= '<input type="hidden" id="jphoroscopesign" onchange="JPHoroscopeGetInfo(document.getElementById(\'jphoroscopesign//\').value,document.getElementById(\'jphoroscopetype\').value,\''.JURI::base().'\')"  value="'.$user->cb_horoscope.'" >';

$return .= '<table border="0" width="100%" cellpadding="4" cellspacing="4"><tr><td valign="top" width="20%" colspan="2">';
$return .= $img;

$return .= '</td><td valign="top">';
$return .= '<div id="jphoroscopeview" align="left" style="color:#555555;" ></div>';
$return .= '<br/> <strong style="color:#cccccc;font-size: 10px;"> Powered by:Scanhead</strong>';
$return .= '</td></tr></table>';
// Dont remove this, this is for providing you the free copy of the plugin
$return .= '<script type="text/javascript"><!-- google_ad_client = "pub-5193136635067543";';
$return .= '/* 468x15, created 3/24/09 */';
$return .= 'google_ad_slot = "2502974051";';
$return .= 'google_ad_width = 468;';
$return .= 'google_ad_height = 15;';
$return .= '//-->';
$return .= '</script>';
$return .= '<script type="text/javascript"';
$return .= 'src="http://pagead2.googlesyndication.com/pagead/show_ads.js">';
$return .= '</script>';




		}
		return $return;
	} // end or getDisplayTab function
} // end of gethelloworldTab class
?>